%define section free

Name:           keytoolgui
Version:        1.7
Release:        1jpp
Epoch:          0
Summary:        GUI for the command-line keytool provided with the Java SDKs

Group:          Security/Cryptography
License:        GPL
URL:            http://homepage.ntlworld.com/wayne_grant/keytool.html
Source0:        http://homepage.ntlworld.com/wayne_grant/downloads/ktg-17.jar
# Converted with: convert keytoolgui.ico keytoolgui.png
Source1:        %{name}.png
Source2:        %{name}.desktop
Source3:        %{name}.sh
Patch0:         %{name}-classpath.patch
Patch1:         %{name}-jar.patch
Patch2:         %{name}-properties.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         JPackage Project
Distribution:   JPackage

BuildArch:      noarch
BuildRequires:  ant, jpackage-utils >= 0:1.5, bouncycastle-provider
Requires:       jpackage-utils >= 0:1.5, bouncycastle-provider

%description
KeyTool GUI is a GUI version of the command-line keytool provided with
the Java SDK. KeyTool GUI can be used to create JKS/JCEKS type
keystores, generate and store keys and their associated X.509
certificates, generate CSRs, import and store trusted certificates and
perform maintenance on keystore entries.


%prep
%setup -q -c
%patch0 -p0
%patch1 -p0
%patch2 -p0
find . -name "*.jar" -o -name "*.class" | xargs rm -f
mkdir build


%build
export CLASSPATH=%(build-classpath bouncycastle)
ant -DsourceDir=`pwd` -DoutputDir=build -DjarFile=build/%{name}.jar


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 644 build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

install -D -p -m 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/keytoolgui.png
install -D -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-keytoolgui.desktop

install -D -p -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/keytoolgui


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license.txt readme.txt keystore.dtd
%{_javadir}/keytoolgui*.jar
%{_bindir}/keytoolgui
%{_datadir}/applications/*keytoolgui.desktop
%{_datadir}/pixmaps/keytoolgui.png


%changelog
* Tue Jan  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.7-1jpp
- Update to 1.7.

* Tue Sep 23 2003 Ville Skytta <ville.skytta at iki.fi> - 0:1.6-1jpp
- First build.
